GreatWksDBParserInternal::BlockHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
GreatWksDBParserInternal::BlockHeader Struct Reference

a big zone header of a GreatWksDBParser More...

## Public Member Functions
| BlockHeader ()
| constructor More...
bool | isEmpty () const
| returns true if the block is empty More...
bool | isComplex () const
| returns true if the entry has many block More...

## Public Attributes
long | m_ptr [3]
| the list of pointer: first, next, end? More...
std::string | m_name
| the block name More...

## Friends
std::ostream & | operator<< (std::ostream &o, BlockHeader const &entry)
| operator<< More...

## Detailed Description

a big zone header of a GreatWksDBParser

## Constructor & Destructor Documentation

## ◆ BlockHeader()

GreatWksDBParserInternal::BlockHeader::BlockHeader | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isComplex()

bool GreatWksDBParserInternal::BlockHeader::isComplex | ( |  | ) | const
| inline

returns true if the entry has many block

Referenced by GreatWksDBParser::createZones().

## ◆ isEmpty()

bool GreatWksDBParserInternal::BlockHeader::isEmpty | ( |  | ) | const
| inline

returns true if the block is empty

Referenced by GreatWksDBParser::createZones(), GreatWksDBParserInternal::operator<<(), and GreatWksDBParser::readFieldRecords().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | BlockHeader const & | entry
| ) |  |
| friend

operator<<

Referenced by GreatWksDBParserInternal::Field::Field().

## Member Data Documentation

## ◆ m_name

std::string GreatWksDBParserInternal::BlockHeader::m_name

the block name

Referenced by GreatWksDBParser::createZones(), GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readHeader(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

## ◆ m_ptr

long GreatWksDBParserInternal::BlockHeader::m_ptr[3]

the list of pointer: first, next, end?

Referenced by BlockHeader(), GreatWksDBParser::checkHeader(), GreatWksDBParser::createBlock(), GreatWksDBParser::createZones(), isComplex(), isEmpty(), GreatWksDBParser::readBlockHeader(), and GreatWksDBParser::readHeader().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx